# $Revision: 1.26 $, $Date: 2004/11/01 21:56:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	Random
Summary:	Crypt::Random - cryptographically secure, true random number generator
Summary(pl):	Crypt::Random - bezpieczny kryptograficznie, prawdziwy generator liczb losowych
Name:		perl-Crypt-Random
Version:	1.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	29d342b8cbe27674c235d4d55eef9d2d
Patch0:		%{name}-no_Class_Loader.patch
%if %{with tests}
BuildRequires:	perl-Math-Pari >= 2.001804
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Random is an interface module to the /dev/random device found
on most modern Unix systems. The /dev/random driver gathers
environmental noise from various non-deterministic sources including
inter-keyboard timings and inter-interrupt timings that occur within
the operating system environment.

%description -l pl
Modu Perla Crypt::Random stanowi interfejs do urzdzenia /dev/random
znajdujcego si w wikszoci wspczesnych systemw uniksowych.
Sterownik /dev/random gromadzi szum pochodzcy z rnych
niedeterministycznych rde, wczajc w to: przebiegi czasowe
klawiatury i przerwa wystpujce w systemie operacyjnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Crypt/Random.pm
%{perl_vendorlib}/Crypt/Random
#%%{perl_vendorlib}/Crypt/Random/Generator.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Random.spec,v $
Revision 1.26  2004/11/01 21:56:49  adamg
- updated to 1.23

Revision 1.25  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/23 23:28:38  adamg
- updated to 1.20

Revision 1.23  2004/05/17 17:27:38  radek
- release 4: added -no_Class_Loader.patch

Revision 1.22  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.21  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.20  2004/04/25 20:24:26  ankry
- cosmetics: unification

Revision 1.19  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.18  2003/10/29 19:38:42  migo
- bconded some BRs
- new bcond style

Revision 1.17  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/04/11 14:21:45  qboosh
- merge from RA-branch: up to 1.13, informative descriptions, tests on bcond
- release 2

Revision 1.12  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/28 10:08:18  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.10  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:29:42  ankry
- massive attack: change CPAN URLs

Revision 1.8  2003/01/15 17:54:15  mis
- autoupdated to 1.12

Revision 1.7  2002/07/20 10:18:47  qboosh
- new %%doc, longer descriptions, added BRs
- added missing Crypt::Random::Provider::* modules and makerandom script
- release 3

Revision 1.6  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.5  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/03/07 18:35:31  kloczek
- cosmetics.

Revision 1.3  2002/03/07 14:26:27  grzegorz
- added %%{perl_sitelib}/Crypt/Random/Generator.pm to %%files
- rel 2

Revision 1.2  2002/03/07 14:11:39  grzegorz
- adaptarized
